## file_restore

### Use

You copy the backup copy of the database file specified, which was created by the system, back to its original position. If a file already exists, it will be overwritten.

In normal circumstances, it is not necessary to copy backup copies of database files to their original position manually as the system uses the backup copy of a database file automatically when access to the original fails.

See also:

Glossary, Database file

### Prerequisites

● You have the server authorization DBFileRead.

● You have determined the file ID of the file to be copied (see file_getfirst).

### Syntax

file_restore <file_id>

### Reply

OK

In the event of errors, see Reply Format